質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.52%

  • Python 2.7

    1427questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

【Python】外部モジュールのBeautifulSoupをさくらレンタルサーバで使用したい

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 800

Reverseblade

score 0

さくらレンタルサーバーでPython外部モジュールのBeautifulSoupが使用したいのですが、上手くいきません。

「/home/ユーザー名/.local/lib/python2.7/」 のディレクトリにインストール用のtarファイルの中身を入れ、sshログインしてから「python setup,py install --user 」コマンドを実行しインストールしています。しかしBeautifulsoupをインポートしようとすると下記のようなエラーが表示されます。

from .import _htmlparser
  File "/home/ユーザ名/.local/lib/python2.7/site-packages/bs4/builder/_htmlparser.py", line 11, in <module>
    from html.parser import HTMLParser
ImportError: No module named parser

ルートディレクトリの.cshrcファイルのPYTHONPATHは何度か書き換え、いづれも失敗していますが、現在は下記のように記載しています。

setenv PYTHONPATH $HOME/.locak/lib/python2.7
setenv LD_LIBRARY_PATH $HOME/.local/lib

尚、PYTHONPATHとLD_LIBRARY_PATHについていまいちよくわかっておらず、それぞれの役割ももしよければ教えていただけると助かります。

ご回答をお待ちしております。

追記:インストールの際、python2と明示的に記載しインストールすると、インストール直後はimport出来ますが、sshを一度ログアウトし、再度ログインして使用すると同エラーが表示される現象が起きています。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

公式によると、2.x環境で3.xとしてインストールされたBeautifulSoupが動作しているようです。
Problems after installation

If you get the ImportError “No module named html.parser”, your problem is that you’re running the Python 3 version of the code under Python 2.

シェル上でpython -V2.7~と表示されるか確認し、そのうえで再インストール(ディレクトリ削除後)されてはいかかでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/01/20 12:08

    ご回答ありがとうございます。pythonのバージョンは2.7です。インストールの際に明示的に(python2.7 setup.py install --userのような形で)記載したほうが良いのでしょうか?

    キャンセル

  • 2017/01/20 12:55

    そうですね。重要なのはsetup.pyを実行するpythonのバージョンです。シェル上で
    $python -V
    Python 2.7~と表示されることを確認し
    $python setup.py ~
    でよいかと思います。

    キャンセル

  • 2017/01/20 21:28 編集

    ご返信ありがとうございます。おそらく解決いたしました。インストールしたモジュールのフォルダーがある階層にいないとimort出来ないとは知らず、ずっとホームディレクトリからimport試みて失敗していました。ひとまずインストールは成功していて、使えるということが分かったので解決といたします。ありがとうございました。

    キャンセル

同じタグがついた質問を見る

  • Python 2.7

    1427questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。